Authorized Transaction Reversal

This is a reversal of an authorized transaction that has posted.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Authorization Request

Use the following to build the request.

  1. ) Make a JSON object {} .
  2. ) Add and set the messageType to "0100".
  3. ) Add and set the responseCode to "00".
  4. ). Add and set the transactionType to "00".
  5. ) Add and set the referenceNumber with a valid account.
  6. ) Add and set the expirationMonth as MM.
  7. ) Add and set the expirationYear as YY.
  8. ) Add and set amountTransaction to the amount, in US dollars, of how much the transaction will be for. example, For $2.50, type in 2.50.
  9. ) Add and set the unique token for access.

Authorization request example for a purchase of $24.79.

{"messageType": "0100"  
  ,"responseCode": "00"  
  , "transactionType": "00"  
  , "referenceNumber": "000000000000"
  , "expirationMonth" :"03"  
  , "expirationYear": "26"  
  , "amountTransaction": "24.79"  
  , "token" : "UUID"
}

Transaction request

If the authorization response code is not 00 or 10 then the transaction request is not required, instead you should reverse the authorization described in the "Authorization Reversal" page. If a 00 or 10 responseCode is received from the authorization response, then the transaction to exchange the money can be made.

1.) Change the messageType to 0220.

2.) Add the parameter authorizationIdentificationResponse to the reversal JSON request and set to the authorizationIdentificationResponse from the authorization response (0100) .

3.) The response code should be mirrored from the responseCode (00 or 10).

Financial Transaction request example for a purchase of $24.79.

{"messageType": "0220"  
  ,"responseCode": "00"  
  , "transactionType": "00"  
  , "referenceNumber": "000000000000"
  , "expirationMonth" :"03"  
  , "expirationYear": "26"  
  , "amountTransaction": "24.79"  
  , "token": "UUID"
  , "authorizationIdentificationResponse": "from 0100"
}

Reversal request

Reversing the authorization can be done with a reversal message.

1.) Change the messageType to 0420.

2.) Add and set the parameter authorizationIdentificationResponse to the returned authorizationIdentificationResponse value from the 0220 response.

3.) The response code should be mirrored from the responseCode (0 or 10). If the response code is not 00 or 10, then read the "Authorization Reversal" page.

Reversal request of authorization example for a purchase of $24.79

{"messageType": "0420"  
  ,"responseCode": "00"  
  , "transactionType": "00"  
  , "referenceNumber": "000000000000"
  , "expirationMonth" :"03"  
  , "expirationYear": "26"  
  , "amountTransaction": "24.79"  
  , "token" : "UUID"
   , "authorizationIdentificationResponse": "from 0220"
}
Query Params
string
required

transaction-post

string
required
Defaults to UUID
string

form data or JSON

string

authorization-transaction-reversal

Body Params
string
required
string
required
string
required
string
required
string
required

2 digits

string
required

2 digits

string
required
string
required
Defaults to UUID
Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json